---@meta

---@class UBP_GenericInputFieldUMG_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field TextBlock UTextBlock
---@field KBImage UImage
---@field KBButton UButton
---@field EditableTextBox UEditableTextBox
---@field LabelText FText
---@field HintText FText
---@field ShouldObfuscate boolean
---@field TextBoxHasFocus boolean
---@field WidgetToHide UWidget
---@field ShowingKeyboardButton boolean
---@field ParentWidget UWidget
local UBP_GenericInputFieldUMG_C = {}

---@param IsDesignTime boolean
function UBP_GenericInputFieldUMG_C:PreConstruct(IsDesignTime) end
function UBP_GenericInputFieldUMG_C:Construct() end
function UBP_GenericInputFieldUMG_C:BndEvt__GenericInputField_KBButton_K2Node_ComponentBoundEvent_0_OnButtonClickedEvent__DelegateSignature() end
---@param EntryPoint int32
function UBP_GenericInputFieldUMG_C:ExecuteUbergraph_BP_GenericInputFieldUMG(EntryPoint) end


